Package org.apache.qpid.proton.codec.messaging

# Class AmqpValueType

java.lang.Object
org.apache.qpid.proton.codec.AbstractDescribedType<AmqpValue,Object>
org.apache.qpid.proton.codec.messaging.AmqpValueType

All Implemented Interfaces:
  `AMQPType<AmqpValue>`, `DescribedTypeConstructor<AmqpValue>`

public class AmqpValueType extends AbstractDescribedType<AmqpValue,Object> implements DescribedTypeConstructor<AmqpValue>

## Method Summary

Modifier and Type
Method
Description
`UnsignedLong`
`getDescriptor()`
`Class<AmqpValue>`
`getTypeClass()`
`AmqpValue`
`newInstance(Object described)`
`static void`
`register(Decoder decoder, EncoderImpl encoder)`
`protected Object`
`wrap(AmqpValue val)`

### Methods inherited from class org.apache.qpid.proton.codec.AbstractDescribedType

`getAllEncodings, getCanonicalEncoding, getDecoder, getEncoder, getEncoding, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getDescriptor

public UnsignedLong getDescriptor()

Specified by:
  `getDescriptor` in class `AbstractDescribedType<AmqpValue,Object>`

### wrap

protected Object wrap(AmqpValue val)

Specified by:
  `wrap` in class `AbstractDescribedType<AmqpValue,Object>`

### newInstance

public AmqpValue newInstance(Object described)

Specified by:
  `newInstance` in interface `DescribedTypeConstructor<AmqpValue>`

### getTypeClass

public Class<AmqpValue> getTypeClass()

Specified by:
  `getTypeClass` in interface `AMQPType<AmqpValue>`
Specified by:
  `getTypeClass` in interface `DescribedTypeConstructor<AmqpValue>`

### register

public static void register(Decoder decoder, EncoderImpl encoder)